#include once "window9.bi"

#ifdef UNICODE
	Function GetCurentDir() As USTRING Export
		dim wsRet as USTRING = WSPACE(2048)
		GetCurrentDirectory(Len(wsRet),cast(any ptr , *wsRet))
		wsRet = Trim(wsRet)
		Return wsRet
	End Function	
#else	
	Function GetCurentDir() As USTRING Export
		Dim sTemp As String*2048
		GetCurrentDirectory(Len(sTemp),Cast( LPTSTR,StrPtr(sTemp)))
		Return Trim(sTemp)
	End Function	
#EndIf

